# Note that this is NOT a relocatable package
Summary: Color font rendering library for X11R6.
Name: fnlib
Version: 0.5
Release: 4
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://www.rasterman.com/pub/enlightenment/libs/fnlib/fnlib-%{version}.tar.gz
Obsoletes: Fnlib
BuildRoot: /var/tmp/fnlib-%{version}-root
URL: http://www.rasterman.com/
Requires: imlib

%description
Fnlib is a library that provides full, scalable 24-bit color font 
rendering abilities for X.

%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/Libraries
Requires: fnlib
Obsoletes: Fnlib

%description devel
Headers, static libraries and documentation for Fnlib.

%prep
%setup

%build
%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall fontdatadir=$RPM_BUILD_ROOT%{_prefix}/share/fnlib_fonts sysconfdir=$RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc README

%config /etc/fnrc
%{_prefix}/lib/lib*.so.*
%{_prefix}/share/fnlib_fonts/*

%files devel
%defattr(-, root, root)

%doc doc/index.html
%doc doc/fontinfo.README

%{_prefix}/lib/lib*.so
%{_prefix}/lib/*a
%{_prefix}/include/*

%changelog
* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 David Mason <dcm@redhat.com>
- update spec file to new RPM guidelines

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3


* Thu Jan 21 1999 The Rasterman <raster@redhat.com>
- added spec file to CVS
